OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKXmlL
XmlLDrivers

# XmlLDrivers_DocumentStorageDriver Class Reference

`#include <XmlLDrivers_DocumentStorageDriver.hxx>`

Inheritance diagram for XmlLDrivers_DocumentStorageDriver:

[legend]

## Public Member Functions
Standard_EXPORT | XmlLDrivers_DocumentStorageDriver (const TCollection_ExtendedString &theCopyright)
virtual Standard_EXPORT TCollection_ExtendedString | SchemaName () const
virtual Standard_EXPORT void | Write (const Handle(CDM_Document)&theDocument, const TCollection_ExtendedString &theFileName)
| Warning! raises DriverError if an error occurs during inside the Make method. //! stores the content of the Document into a new file. by default Write will use Make method to build a persistent document and the Schema method to write the persistent document. .
Standard_EXPORT Standard_Boolean | IsError () const
virtual Standard_EXPORT Handle_XmlMDF_ADriverTable | AttributeDrivers (const Handle(CDM_MessageDriver)&theMsgDriver)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Protected Member Functions
virtual Standard_EXPORT Standard_Boolean | WriteToDomDocument (const Handle(CDM_Document)&theDocument, XmlObjMgt_Element &thePDoc, const TCollection_ExtendedString &theFileName)
virtual Standard_EXPORT Standard_Integer | MakeDocument (const Handle(CDM_Document)&theDocument, XmlObjMgt_Element &thePDoc)
Standard_EXPORT void | AddNamespace (const TCollection_AsciiString &thePrefix, const TCollection_AsciiString &theURI)
## Protected Attributes
XmlObjMgt_SRelocationTable | myRelocTable
Standard_Boolean | myIsError
## Private Attributes
Handle_XmlMDF_ADriverTable | myDrivers
XmlLDrivers_SequenceOfNamespaceDef | mySeqOfNS
TCollection_ExtendedString | myCopyright

## Constructor & Destructor Documentation

Standard_EXPORT XmlLDrivers_DocumentStorageDriver::XmlLDrivers_DocumentStorageDriver | ( | const TCollection_ExtendedString & | theCopyright | ) |

## Member Function Documentation

Standard_EXPORT void XmlLDrivers_DocumentStorageDriver::AddNamespace | ( | const TCollection_AsciiString & | thePrefix,
|  | const TCollection_AsciiString & | theURI
| ) | `[protected]`

virtual Standard_EXPORT Handle_XmlMDF_ADriverTable XmlLDrivers_DocumentStorageDriver::AttributeDrivers | ( | const Handle(CDM_MessageDriver)& | theMsgDriver | ) | `[virtual]`

| Reimplemented in XmlDrivers_DocumentStorageDriver.

Standard_EXPORT const XmlLDrivers_DocumentStorageDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PCDM_StorageDriver. Reimplemented in XmlDrivers_DocumentStorageDriver.

Standard_EXPORT Standard_Boolean XmlLDrivers_DocumentStorageDriver::IsError | ( |  | ) | const

virtual Standard_EXPORT Standard_Integer XmlLDrivers_DocumentStorageDriver::MakeDocument | ( | const Handle(CDM_Document)& | theDocument,
|  | XmlObjMgt_Element & | thePDoc
| ) | `[protected, virtual]`

virtual Standard_EXPORT TCollection_ExtendedString XmlLDrivers_DocumentStorageDriver::SchemaName | ( |  | ) | const`[virtual]`

| Implements PCDM_StorageDriver.

virtual Standard_EXPORT void XmlLDrivers_DocumentStorageDriver::Write | ( | const Handle(CDM_Document)& | theDocument,
|  | const TCollection_ExtendedString & | theFileName
| ) | `[virtual]`

| Reimplemented from PCDM_StorageDriver.

virtual Standard_EXPORT Standard_Boolean XmlLDrivers_DocumentStorageDriver::WriteToDomDocument | ( | const Handle(CDM_Document)& | theDocument,
|  | XmlObjMgt_Element & | thePDoc,
|  | const TCollection_ExtendedString & | theFileName
| ) | `[protected, virtual]`

## Field Documentation

TCollection_ExtendedString XmlLDrivers_DocumentStorageDriver::myCopyright`[private]`

Handle_XmlMDF_ADriverTable XmlLDrivers_DocumentStorageDriver::myDrivers`[private]`

Standard_Boolean XmlLDrivers_DocumentStorageDriver::myIsError`[protected]`

XmlObjMgt_SRelocationTable XmlLDrivers_DocumentStorageDriver::myRelocTable`[protected]`

XmlLDrivers_SequenceOfNamespaceDef XmlLDrivers_DocumentStorageDriver::mySeqOfNS`[private]`

The documentation for this class was generated from the following file:

- XmlLDrivers_DocumentStorageDriver.hxx